> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Device Providers

> Returns a list of all device providers.

The information that this endpoint returns for each provider includes a set of [capability flags](https://docs.seam.co/capability-guides/device-and-system-capabilities#capability-flags), such as `device_provider.can_remotely_unlock`. If at least one supported device from a provider has a specific capability, the corresponding capability flag is `true`.

When you create a [Connect Webview](https://docs.seam.co/core-concepts/connect-webviews), you can customize the providers—that is, the brands—that it displays. In the `/connect_webviews/create` request, include the desired set of device provider keys in the `accepted_providers` parameter. See also [Customize the Brands to Display in Your Connect Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).



## OpenAPI

````yaml /openapi.json post /devices/list_device_providers
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /devices/list_device_providers:
    post:
      tags:
        - /devices
      summary: List Device Providers
      description: >-
        Returns a list of all device providers.


        The information that this endpoint returns for each provider includes a
        set of [capability
        flags](https://docs.seam.co/capability-guides/device-and-system-capabilities#capability-flags),
        such as `device_provider.can_remotely_unlock`. If at least one supported
        device from a provider has a specific capability, the corresponding
        capability flag is `true`.


        When you create a [Connect
        Webview](https://docs.seam.co/core-concepts/connect-webviews), you can
        customize the providers—that is, the brands—that it displays. In the
        `/connect_webviews/create` request, include the desired set of device
        provider keys in the `accepted_providers` parameter. See also [Customize
        the Brands to Display in Your Connect
        Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
      operationId: devicesListDeviceProvidersPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                provider_category:
                  description: Category for which you want to list providers.
                  enum:
                    - stable
                    - consumer_smartlocks
                    - beta
                    - thermostats
                    - noise_sensors
                    - access_control_systems
                    - cameras
                    - connectors
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  device_providers:
                    items:
                      $ref: '#/components/schemas/device_provider'
                    type: array
                  ok:
                    type: boolean
                required:
                  - device_providers
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.devices.listDeviceProviders();

            /*
            [
              {
                "can_program_online_access_codes": true,
                "can_remotely_unlock": true,
                "device_provider_name": "akiles",
                "display_name": "Akiles",
                "image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
                "provider_categories": [
                  "stable",
                  "consumer_smartlocks"
                ]
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/devices/list_device_providers" \
              --header "Authorization: Bearer $SEAM_API_KEY"

            # Response:

            # {

            #   "device_providers": [

            #     {

            #       "can_program_online_access_codes": true,

            #       "can_remotely_unlock": true,

            #       "device_provider_name": "akiles",

            #       "display_name": "Akiles",

            #       "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",

            #       "provider_categories": [

            #         "stable",

            #         "consumer_smartlocks"

            #       ]

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.devices.list_device_providers()

            # [
                DeviceProvider(
                    can_program_online_access_codes=true,
                    can_remotely_unlock=true,
                    device_provider_name="akiles",
                    display_name="Akiles",
                    image_url="https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
                    provider_categories=["stable", "consumer_smartlocks"],
                )
            ]
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.devices.list_device_providers()

            # => [
              {
                "can_program_online_access_codes" => true,
                "can_remotely_unlock" => true,
                "device_provider_name" => "akiles",
                "display_name" => "Akiles",
                "image_url" =>
                  "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
                "provider_categories" => %w[stable consumer_smartlocks],
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->devices->list_device_providers();

            // [
                [
                    "can_program_online_access_codes" => true,
                    "can_remotely_unlock" => true,
                    "device_provider_name" => "akiles",
                    "display_name" => "Akiles",
                    "image_url" =>
                        "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",
                    "provider_categories" => ["stable", "consumer_smartlocks"],
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam devices list-device-providers


            # [

            #   {

            #     "can_program_online_access_codes": true,

            #     "can_remotely_unlock": true,

            #     "device_provider_name": "akiles",

            #     "display_name": "Akiles",

            #     "image_url":
            "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/logos/akiles.png&q=75&w=128",

            #     "provider_categories": [

            #       "stable",

            #       "consumer_smartlocks"

            #     ]

            #   }

            # ]
components:
  schemas:
    device_provider:
      properties:
        can_configure_auto_lock:
          type: boolean
        can_hvac_cool:
          type: boolean
        can_hvac_heat:
          type: boolean
        can_hvac_heat_cool:
          type: boolean
        can_program_offline_access_codes:
          type: boolean
        can_program_online_access_codes:
          type: boolean
        can_program_thermostat_programs_as_different_each_day:
          type: boolean
        can_program_thermostat_programs_as_same_each_day:
          type: boolean
        can_program_thermostat_programs_as_weekday_weekend:
          type: boolean
        can_remotely_lock:
          type: boolean
        can_remotely_unlock:
          type: boolean
        can_run_thermostat_programs:
          type: boolean
        can_simulate_connection:
          type: boolean
        can_simulate_disconnection:
          type: boolean
        can_simulate_hub_connection:
          type: boolean
        can_simulate_hub_disconnection:
          type: boolean
        can_simulate_paid_subscription:
          type: boolean
        can_simulate_removal:
          type: boolean
        can_turn_off_hvac:
          type: boolean
        can_unlock_with_code:
          type: boolean
        device_provider_name:
          enum:
            - hotek
            - dormakaba_community
            - legic_connect
            - akuvox
            - august
            - avigilon_alta
            - brivo
            - butterflymx
            - schlage
            - smartthings
            - yale
            - genie
            - doorking
            - salto
            - salto_ks
            - lockly
            - ttlock
            - linear
            - noiseaware
            - nuki
            - igloo
            - kwikset
            - minut
            - my_2n
            - controlbyweb
            - nest
            - igloohome
            - ecobee
            - four_suites
            - dormakaba_oracode
            - pti
            - wyze
            - seam_passport
            - visionline
            - assa_abloy_credential_service
            - tedee
            - honeywell_resideo
            - first_alert
            - latch
            - akiles
            - assa_abloy_vostio
            - assa_abloy_vostio_credential_service
            - tado
            - salto_space
            - sensi
            - keynest
            - korelock
            - keyincode
            - dormakaba_ambiance
            - ultraloq
            - dusaw
            - sifely
            - thirty_three_lock
            - ring
            - ical
            - lodgify
            - hostaway
            - guesty
            - acuity_scheduling
            - omnitec
          type: string
        display_name:
          type: string
        image_url:
          type: string
        provider_categories:
          items:
            enum:
              - stable
              - consumer_smartlocks
              - beta
              - thermostats
              - noise_sensors
              - access_control_systems
              - cameras
              - connectors
            type: string
          type: array
      required:
        - device_provider_name
        - display_name
        - image_url
        - provider_categories
      type: object
      x-route-path: /devices
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````